<html>
<head>
<title>OgreGTKWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_c8ca15019372142220dfdb263012dc84.html">gtk</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGTKWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGTKWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef INCL_OGRE_GTKWINDOW_H</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define INCL_OGRE_GTKWINDOW_H</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include &lt;gtkmm/main.h&gt;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &lt;gtkmm/window.h&gt;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &lt;gtkglmm.h&gt;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="preprocessor">#include &lt;GL/gl.h&gt;</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre {
<a name="l00041"></a>00041 
<a name="l00042"></a><a class="code" href="classOgre_1_1OGREWidget.html">00042</a> <span class="keyword">class </span><a class="code" href="classOgre_1_1OGREWidget.html">OGREWidget</a> : <span class="keyword">public</span> Gtk::GL::DrawingArea
<a name="l00043"></a>00043 {
<a name="l00044"></a>00044 <span class="keyword">public</span>:
<a name="l00045"></a>00045     <a class="code" href="classOgre_1_1OGREWidget.html#a3a06ab0e0d7c1cb573254759cde92643">OGREWidget</a>(<span class="keywordtype">bool</span> useDepthBuffer);
<a name="l00046"></a>00046 };
<a name="l00047"></a>00047     
<a name="l00048"></a><a class="code" href="classOgre_1_1GTKWindow.html">00048</a> <span class="keyword">class </span><a class="code" href="classOgre_1_1GTKWindow.html">GTKWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>, <span class="keyword">public</span> SigC::Object
<a name="l00049"></a>00049 {
<a name="l00050"></a>00050 <span class="keyword">public</span>:
<a name="l00051"></a>00051     <a class="code" href="classOgre_1_1GTKWindow.html#a809e5105c68c939889d0524ed0200ee8">GTKWindow</a>();
<a name="l00052"></a>00052     <a class="code" href="classOgre_1_1GTKWindow.html#a08560dff0b5c3555621ded952712f577">~GTKWindow</a>();
<a name="l00053"></a>00053 
<a name="l00058"></a>00058     <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GTKWindow.html#af60ca9e75fa7f6bf43598ff3dbd966ab" title="Pump the main loop to actually generate events.">pump_events</a>();
<a name="l00059"></a>00059 
<a name="l00063"></a>00063     <a class="code" href="classOgre_1_1OGREWidget.html">OGREWidget</a>* <a class="code" href="classOgre_1_1GTKWindow.html#af59f9602ae44b22d6c086bacc9465684" title="Get the actual widget that is housing OGRE&#39;s GL view.">get_ogre_widget</a>();
<a name="l00064"></a>00064 
<a name="l00065"></a>00065     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#a04e25bb2fdc39df437fe48647a8d647f">create</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> colourDepth,
<a name="l00066"></a>00066                 <span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top, <span class="keywordtype">bool</span> depthBuffer, 
<a name="l00067"></a>00067                 <span class="keywordtype">void</span>* miscParam, ...);
<a name="l00068"></a>00068 
<a name="l00069"></a>00069     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#a53346e1394285b27ad589ad3d2a1271f" title="Alter fullscreen mode options.">setFullscreen</a>(<span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00070"></a>00070     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#af4a0019549c6a7380ded7617c61f11a5" title="Destroys the window.">destroy</a>(<span class="keywordtype">void</span>);
<a name="l00071"></a>00071     <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GTKWindow.html#a8e02c86a6d09299ec8c8775d84860582" title="Overridden from RenderTarget, flags invisible windows as inactive.">isActive</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00072"></a>00072     <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GTKWindow.html#a761f2982aeb0d5bbd97346c42755fe28" title="Indicates whether the window has been closed by the user.">isClosed</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00073"></a>00073     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#ab77322d16f360d7d4d389e3e0905f669" title="Reposition the window.">reposition</a>(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00074"></a>00074     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#a7f9cdaf9edfd7ce8e9174c6461d64cdb" title="Alter the size of the window.">resize</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00075"></a>00075     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#ae09dd3e0e3293e0a2fee63248eec1f6d" title="Swaps the frame buffers to display the next frame.">swapBuffers</a>(<span class="keywordtype">bool</span> waitForVSync);
<a name="l00076"></a>00076     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#a6b717b4b168ed84807d828111952ddf6" title="Copies the current contents of the render target to a pixelbox.">copyContentsToMemory</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, <a class="code" href="classOgre_1_1RenderTarget.html#a4b42772d32712767391c749f4745397a">FrameBuffer</a> buffer);
<a name="l00077"></a>00077 
<a name="l00078"></a><a class="code" href="classOgre_1_1GTKWindow.html#aa07f0436129c22d69661dfd5dcf779ec">00078</a>     <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GTKWindow.html#aa07f0436129c22d69661dfd5dcf779ec">requiresTextureFlipping</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00079"></a>00079 
<a name="l00086"></a>00086     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GTKWindow.html#a7266d1396c0db1866e19cdbae0ee9db6" title="Get a custom, GTK specific attribute.">getCustomAttribute</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData );
<a name="l00087"></a>00087 <span class="keyword">protected</span>:
<a name="l00088"></a>00088     <span class="comment">// Signal handlers</span>
<a name="l00089"></a>00089     <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GTKWindow.html#aefb78bec6d69335e10e368000cf8f33f">on_delete_event</a>(GdkEventAny* event);
<a name="l00090"></a>00090     <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GTKWindow.html#a8e95472c49fdffbcd5cff57686a7de0a">on_expose_event</a>(GdkEventExpose* event);
<a name="l00091"></a>00091     <span class="comment">// bool SimpleGLScene::on_configure_event(GdkEventConfigure* event) </span>
<a name="l00092"></a>00092 <span class="keyword">private</span>:
<a name="l00093"></a>00093     <span class="comment">//Gtk::Main* kit;</span>
<a name="l00094"></a><a class="code" href="classOgre_1_1GTKWindow.html#a3e2a205d9d9b93a92dd51bd7acf992cb">00094</a>     Gtk::Window *<a class="code" href="classOgre_1_1GTKWindow.html#a3e2a205d9d9b93a92dd51bd7acf992cb">mGtkWindow</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1GTKWindow.html#ab508fd9131cca060a6465483cb1941f0">00095</a>     <a class="code" href="classOgre_1_1OGREWidget.html">OGREWidget</a>* <a class="code" href="classOgre_1_1GTKWindow.html#ab508fd9131cca060a6465483cb1941f0">ogre</a>;
<a name="l00096"></a>00096 }; <span class="comment">// class GTKWindow</span>
<a name="l00097"></a>00097 
<a name="l00098"></a>00098 }; <span class="comment">// namespace Ogre</span>
<a name="l00099"></a>00099 
<a name="l00100"></a>00100 <span class="preprocessor">#endif // INCL_OGRE_GTKWINDOW_H</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
